Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122244

Summary: Review Request: nodejs-superagent-proxy - Request proxy(uri) superagent extension
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nodejs-superagent-proxy-0.3.0-2.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-02 19:40:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1122231    
Bug Blocks: 956806, 1115709    

Description Ralph Bean 2014-07-22 19:06:38 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-superagent-proxy.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-superagent-proxy-0.3.0-1.fc20.src.rpm

Description:
This module extends visionmedia/superagent's Request class with a .proxy(uri)
function. This allows you to proxy the HTTP request through a proxy of some
kind.

Comment 1 Parag AN(पराग) 2014-08-28 13:48:15 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-superagent-proxy.noarch: W: spelling-error Summary(en_US) uri -> uric, Yuri, urn
nodejs-superagent-proxy.noarch: W: spelling-error %description -l en_US visionmedia -> vision media, vision-media, divisional
nodejs-superagent-proxy.noarch: W: spelling-error %description -l en_US uri -> uric, Yuri, urn
nodejs-superagent-proxy.noarch: W: only-non-binary-in-usr-lib
nodejs-superagent-proxy.noarch: W: dangling-symlink /usr/lib/node_modules/superagent-proxy/node_modules/proxy-agent /usr/lib/node_modules/proxy-agent
nodejs-superagent-proxy.noarch: W: dangling-symlink /usr/lib/node_modules/superagent-proxy/node_modules/debug /usr/lib/node_modules/debug
nodejs-superagent-proxy.src: W: spelling-error Summary(en_US) uri -> uric, Yuri, urn
nodejs-superagent-proxy.src: W: spelling-error %description -l en_US visionmedia -> vision media, vision-media, divisional
nodejs-superagent-proxy.src: W: spelling-error %description -l en_US uri -> uric, Yuri, urn
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :c17fdcefbab6e6fb59cf71de9a748032685a14bfc7dd9d7321f88d915c0bb746
upstream tarball :c17fdcefbab6e6fb59cf71de9a748032685a14bfc7dd9d7321f88d915c0bb746

+ License "MIT" is valid and is included in README.md file as %doc

+ rest looks following packaging guidelines.

Suggestions:
1) Explicit requires should be dropped as they are already pulled by rpm while resolving dependencies.

APPROVED.

Comment 2 Ralph Bean 2014-08-28 19:56:09 UTC
New Package SCM Request
=======================
Package Name: nodejs-superagent-proxy
Short Description: Request proxy(uri) superagent extension
Upstream URL: https://npmjs.org/package/superagent-proxy
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-08-29 11:59:53 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-09-02 19:35:52 UTC
nodejs-superagent-proxy-0.3.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-superagent-proxy-0.3.0-1.fc21

Comment 5 Fedora Update System 2014-09-02 19:36:06 UTC
nodejs-superagent-proxy-0.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-superagent-proxy-0.3.0-1.fc20

Comment 6 Fedora Update System 2014-09-02 19:36:23 UTC
nodejs-superagent-proxy-0.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-superagent-proxy-0.3.0-1.fc19

Comment 7 Ralph Bean 2014-09-02 19:40:40 UTC
buildroot overrides created.

Comment 8 Fedora Update System 2014-09-21 19:35:24 UTC
nodejs-superagent-proxy-0.3.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-superagent-proxy-0.3.0-2.fc19

Comment 9 Fedora Update System 2014-09-21 19:39:09 UTC
nodejs-superagent-proxy-0.3.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-superagent-proxy-0.3.0-2.fc20

Comment 10 Fedora Update System 2014-10-06 04:59:55 UTC
nodejs-superagent-proxy-0.3.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-10-06 05:05:47 UTC
nodejs-superagent-proxy-0.3.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.